Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225299 - Merge Review: automake15
Summary: Merge Review: automake15
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 224569
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-29 21:08 UTC by Nobody's working on this, feel free to take it
Modified: 2011-07-28 16:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-28 16:21:50 UTC


Attachments (Terms of Use)
patch configure and Makefile.in to avoid rerunning autotools (deleted)
2007-03-14 23:18 UTC, Patrice Dumas
no flags Details | Diff
complete patches of Makefile.in to avoir rerunning autoconf (deleted)
2007-04-22 19:31 UTC, Patrice Dumas
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-29 21:08:47 UTC
Fedora Merge Review: automake15

http://cvs.fedora.redhat.com/viewcvs/devel/automake15/

Comment 1 Karsten Hopp 2007-02-19 16:46:08 UTC
automake15-1.5-18 has the most common review issues fixed, please check...

Comment 2 Ralf Corsepius 2007-02-20 03:55:27 UTC
rpmbuild trashing config.guess and config.sub 
(c.f. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=225296#c3)
also shows effect here:

It causes the config.guess/config.sub being distributed though the automake15
package to be replaced.

Instead of the ancient versions dated 2001-<something> contained in the
automake-1.5 tarball, the resulting rpm contains the a bit less ancient versions
being distributed by rpm (2003-<something> on FC6).

IMO, automake15 should either ship the original version from the automake-1.5
tarball or an up-to-date version of config.guess/config.sub (from gnu.org).

Comment 3 Karsten Hopp 2007-02-20 11:10:22 UTC
automake15-1.5-19 uses ./configure instead of %configure. Maybe I'll replace
config.{guess,sub} with more recent ones when I have some spare time as I need
to do a test build of some packages then.

Comment 4 Karsten Hopp 2007-03-13 15:31:52 UTC
What's the review status ? Is it approved ?

Comment 5 Ralf Corsepius 2007-03-13 16:03:15 UTC
Why are you asking me? 

I never formally reviewed this package, nor do I know how merge reviews are
supposed to work.

Comment 6 Karsten Hopp 2007-03-13 16:58:05 UTC
probably because your comment looked like some kind of review to me ;-)


Comment 7 Patrice Dumas 2007-03-13 18:39:37 UTC
I'll probably review formally when I have time.

Comment 8 Patrice Dumas 2007-03-14 22:24:57 UTC
I attach a patch for configure to avoid rerunning autoconf.

I patched as the first patch with
%patch10 -b .versioning
which allowed to restore timestamps by doing
touch -r configure.versioning configure
touch -r configure.in.orig configure.in

I think it should be part of automake15-versioning.patch
but I let that to you, unless you agree with those changes (including
adding the -b .versioning) in that case I could do a patch against
the cvs version changing automake15-versioning.patch.

Comment 9 Patrice Dumas 2007-03-14 23:18:13 UTC
Created attachment 150101 [details]
patch configure and Makefile.in to avoid rerunning autotools

Comment 10 Patrice Dumas 2007-03-14 23:24:08 UTC
The patch now applies with 
%patch10 -p1 -b .versioning

In this patch there are changes that should be in 
automake-1.5-subdirs-89619.patch
(lines like
-       @set fnord $(MAKEFLAGS); amf=$$2; \
+       @set fnord $$MAKEFLAGS; amf=$$2; \
)

And also the patch automake-1.5-info.patch leads to a 
Makefile.in which isn't what automake would generate based
on the patched Makefile.am. Not a big deal, but i'll propose
an updated patch once this has been digested.

As a side note automake was run during the make. Is it 
on purpose? it seems to me that the automake run was the
automake from the package itself. 

Comment 11 Karsten Hopp 2007-04-16 12:33:26 UTC
I've added your changes in -22

Comment 12 Patrice Dumas 2007-04-22 19:31:19 UTC
Created attachment 153256 [details]
complete patches of Makefile.in to avoir rerunning autoconf

This patch allows not to run autoconf (and the autoconf call 
is commented out). As a side note it would be better
to cal autoconf-2.13. But yet better not call anything...

Comment 13 Alexander Kurtakov 2011-07-28 16:21:50 UTC
Package has been deprecated. Closing.


Note You need to log in before you can comment on or make changes to this bug.